import { UserStatus } from 'github-profile-status';
import { NowPlayingMonitor } from './NowPlayingMonitor';
import { NowPlayingSources } from './sources';
export interface GitHubNowPlayingConstructorOptions {
    token: string;
}
declare class GitHubNowPlaying extends NowPlayingMonitor<UserStatus> {
    static Sources: {
        LastFM: typeof import("./sources/lastfm/LastFMSourceProvider").LastFMSourceProvider;
        iTunes: typeof import("./sources/itunes/ITunesSourceProvider").ITunesSourceProvider;
        Spotify: typeof import("./sources/spotify/SpotifySourceProvider").SpotifySourceProvider;
    };
    constructor(options: GitHubNowPlayingConstructorOptions);
}
export { GitHubNowPlaying, NowPlayingSources };
