"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const events_1 = require("events");
const yanl_1 = require("yanl");
class SimpleEventEmitter {
    constructor() {
        this.emitter = new events_1.EventEmitter();
    }
    on(event, listener) {
        this.emitter.addListener(event, listener);
        return this;
    }
    off(event, listener) {
        yanl_1.logger.debug('removed all listeners', event);
        this.emitter.removeListener(event, listener);
        return this;
    }
    removeAllListeners(event) {
        this.emitter.removeAllListeners(event);
        return this;
    }
    emit(event, ...args) {
        yanl_1.logger.debug('emitted event', event, ...args);
        return this.emitter.emit(event, ...args);
    }
}
exports.SimpleEventEmitter = SimpleEventEmitter;
