"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const osascript_tag_1 = __importDefault(require("osascript-tag"));
const SourceProvider_1 = require("../../SourceProvider");
class ITunesSourceProvider extends SourceProvider_1.SourceProvider {
    getNowPlaying() {
        return osascript_tag_1.default.jxa({ parse: true }) `
      const iTunes = Application('iTunes');

      if (!iTunes.running()) {
        return null;
      }

      if (iTunes.playerState() !== 'playing') {
        return null;
      }

      return {
        artist: iTunes.currentTrack.artist(),
        title: iTunes.currentTrack.name(),
      };
    `;
    }
}
exports.ITunesSourceProvider = ITunesSourceProvider;
