"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const osascript_tag_1 = __importDefault(require("osascript-tag"));
const SourceProvider_1 = require("../../SourceProvider");
class SpotifySourceProvider extends SourceProvider_1.SourceProvider {
    getNowPlaying() {
        return osascript_tag_1.default.jxa({ parse: true }) `
      const spotify = Application('Spotify');

      if (!spotify.running()) {
        return null;
      }

      if (spotify.playerState() !== 'playing') {
        return null;
      }

      return {
        artist: spotify.currentTrack.artist(),
        title: spotify.currentTrack.name(),
      }
    `;
    }
}
exports.SpotifySourceProvider = SpotifySourceProvider;
